com.ihr.xbrl.om.renderhints

## Class RenderHintsProcessorFactory

- java.lang.Object
- - com.ihr.xbrl.om.XBRLProcessorFactoryBase
  - - com.ihr.xbrl.om.renderhints.RenderHintsProcessorFactory

- All Implemented Interfaces:
    XBRLProcessorFactory

      public class RenderHintsProcessorFactory
      extends XBRLProcessorFactoryBase

  Standard processor factory for the rendering hints processor. The xbrlprocessors.properties file in the RSXBRLMANIFEST points to this class so the processor factory gets registered
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderHintsProcessorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLPlugInProcessor` | `create()` Creates a new instance of the processor or gets the registered instance from the DTSContainer.
    `java.lang.String` | `getProcessorDescription()` Returns the processor description for the processor name.
    `java.lang.String` | `getProcessorName()` Returns the processor name this factory class is able to create processor for.

    - ### Methods inherited from class com.ihr.xbrl.om.XBRLProcessorFactoryBase

      `setDTSContainer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderHintsProcessorFactory

          public RenderHintsProcessorFactory()

  - ### Method Detail

    - #### create

          public XBRLPlugInProcessor create()
                                     throws com.rs.lic.LicenseVerificationException,
                                            XBRLValidationException

      Description copied from interface: `XBRLProcessorFactory`
      Creates a new instance of the processor or gets the registered instance from the DTSContainer. Is is convenient if this method invokes a static method on the processor with the following definition:

           public static XXXXX create(DTSContainer dts)

      where XXXXX is the type of the processor that will be created and implements the XBRLPlugInProcessor interface
      Returns:
        XBRLPlugInProcessor
      Throws:
        `com.rs.lic.LicenseVerificationException` - If the user has no rights to use the processor
        `XBRLValidationException` - If the processor just created raises static validation errors while loading the DTS

    - #### getProcessorName

          public java.lang.String getProcessorName()

      Description copied from interface: `XBRLProcessorFactory`
      Returns the processor name this factory class is able to create processor for.
      Returns:
        String representing the processor name

    - #### getProcessorDescription

          public java.lang.String getProcessorDescription()

      Description copied from interface: `XBRLProcessorFactory`
      Returns the processor description for the processor name.
      Returns:
        String text about processor description